Skip to main content
GET
/
stats
/
api
/
v1
/
aggregations
/
fees
Get Fees Aggregation
curl --request GET \
  --url https://api.example.com/stats/api/v1/aggregations/fees
{
  "nextLookbackTimestamp": 123,
  "value": [
    {
      "timestamp": 123
    }
  ],
  "success": true,
  "timestamp": 123
}

Query Parameters

group
enum<string>
required

The grouping for the aggregation.

Available options:
symbol,
feeSymbol
symbol
string

The symbol

feeSymbol
enum<string>

The fee symbol

Available options:
USDC,
DDX
aggregationPeriod
enum<string>
default:day

The period for the aggregation.

Available options:
week,
day,
hour,
minute
lookbackCount
integer
default:60

The number of periods to look back from present.

lookbackTimestamp
number

The timestamp of the when to begin the lookback from. Each lookback query will return nextLookbackTimestamp in the response, which can be passed as a query parameter here to get the next page of results.

Response

Fees aggregation data

Successful response for the Fees aggregation API

nextLookbackTimestamp
number | null
required

Time pointer for where the next lookback should begin. Pass this value as lookbackTimestamp to get the next page of data. Will also skip over gaps in the data to return the next non-null. aggregation period. When this value is null, it indicates there is no more data to fetch.

Examples:

1673384400

null

value
object[]
required

The value of the response

success
boolean
required

Whether the request was successful

timestamp
number
required

The timestamp of the response

Example:

1673031089

Last modified on April 27, 2026